
package my_scalation

import scalation._
import scalation.mathstat._
import scalation.modeling._

// runMain my_scalation.regressionTest

@main def regressionTest (): Unit =

//                         one  x  y
   val xy = MatrixD ((4, 3), 1, 1, 1,
                             1, 2, 3,
                             1, 3, 3,
                             1, 4, 4)
   val (ox, y) = (xy(?, 0 until 2), xy(?, 2))
   val x = ox(?, 1 until 2)

   val nullm = new NullModel (y) 
   nullm.trainNtest ()()
   new Plot (x(?, 0), y, nullm.predict (x), "Null Model", lines = true)

   val simpler = new SimplerRegression (x, y) 
   simpler.trainNtest ()()
   new Plot (x(?, 0), y, simpler.predict (x), "Simpler Regression", lines = true)

   val simple = new SimpleRegression (ox, y) 
   simple.trainNtest ()()
   new Plot (x(?, 0), y, simple.predict (ox), "Simple Regression", lines = true)

end regressionTest

